Subject: FVWM: Icon problems ...

From: Lee Willis <[email-masked]>
Date: 12 Aug 1999 14:09:52 +0100

I'm trying to get different icons for Gimp's different sorts of
windows. ie

wilbur.xpm - Main Gimp Window
gimpicon.xpm - Image windows
gimpmicon.xpm - Tear off menus

I have the following set in my .fvwm2rc. The Main gimp window gets the
correct icon as do the image windows (Via the match on "Gimp"). However
if I tear off the file menu in Gimp I get a window with the following

WM_CLASS(STRING) = "gimp", "Gimp"
WM_LOCALE_NAME(STRING) = "C"
WM_CLIENT_MACHINE(STRING) = "landlord.gbdirect.co.uk"
WM_ICON_NAME(STRING) = "File"
WM_NAME(STRING) = "File"

Which gets no icon at all!  Any ideas?

 Style "*"              Icon penguin.xpm

 Style "Gimp"           UseStyle NoButtons, Title, MiniIcon mini-wilbur.xpm, Icon gimpicon.xpm
 Style "The GIMP"       UseStyle WithButtons, UseDecor HelpDecor, Color white/midnightblue
 Style "The GIMP"       MiniIcon mini-wilbur.xpm, Icon wilbur.xpm
 Style "nxterm"         UseStyle NoButtons, NoTitle, MiniIcon mini-window.xpm
 Style "Eterm"          UseStyle NoButtons, NoTitle
 Style "xv"             UseStyle WithButtons, UseDecor Helpdecor, Icon xv.color.xpm, Color White/MidnightBlue

 Style "*File*"         Icon gimpmicon.xpm
 Style "*Filters*"      Icon gimpmicon.xpm

Lee.
-- 
I was doing object-oriented assembly at 1 year old ...  
For some reason my mom insists on calling it "Playing with blocks"
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].